Get an organization
GET
/api/server/v1/organizations/{organizationId}
const url = 'https://api.toriiauth.eu/api/server/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.toriiauth.eu/api/server/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'One organization with both metadata bags.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organizationId
required
string format: uuid
Responses
Section titled “Responses”The organization.
Media typeapplication/json
object
id
required
string format: uuid
name
required
string
slug
string | null
roleSetId
string | null format: uuid
publicMetadata
required
object
key
additional properties
any
privateMetadata
required
object
key
additional properties
any
createdAt
required
string format: date-time
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "slug": "example", "roleSetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "publicMetadata": {}, "privateMetadata": {}, "createdAt": "2026-04-15T12:00:00Z"}Missing or invalid secret key.
Media typeapplication/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com", "properties": { "additionalProperty": "example" }}No organization with this id in the key’s environment.
Media typeapplication/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com", "properties": { "additionalProperty": "example" }}